gtkmm: Gtk::HBox Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::HBox Class Reference
Widgets | Container Widgets

Horizontal Box for laying widgets in a horizontal row. More...

Inheritance diagram for Gtk::HBox:
[legend]
Collaboration diagram for Gtk::HBox:
[legend]

List of all members.

## Public Member Functions
virtual | ~HBox ()
GtkHBox* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkHBox* | gobj () const
| Provides access to the underlying C GtkObject.
| HBox (bool homogeneous=false, int spacing=0)
| Creates a new horizontal box.
## Related Functions
(Note that these are not member functions.)
Gtk::HBox* | wrap (GtkHBox* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Horizontal Box for laying widgets in a horizontal row.

You should create these objects, but it is more confortable to pass around pointers of Gtk::Box. All the methods that do anything are in class Gtk::Box and this allows you to later change the direction of the box, when there's no dependencies to HBox and VBox classes.

Use the Gtk::Box packing interface to determine the arrangement, spacing, width, and alignment of Gtk::HBox children.

All children are allocated the same height.

## Constructor & Destructor Documentation

virtual Gtk::HBox::~HBox | ( |  | ) | `[virtual]`

Gtk::HBox::HBox | ( | bool | homogeneous = `false`,
|  | int | spacing = `0`
| ) |  | `[explicit]`

Creates a new horizontal box.

Parameters:

  homogeneous | Whether each widget in the HBox should have the same width. If set, a PACK_SHRINK argument to pack_start() or pack_end() is ignored.
  spacing | Determines the space in pixels between child widgets.

## Member Function Documentation

GtkHBox* Gtk::HBox::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Box.

Reimplemented in Gtk::FileChooserButton, Gtk::InfoBar, Gtk::Statusbar, and Gtk::Combo.

const GtkHBox* Gtk::HBox::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Box.

Reimplemented in Gtk::FileChooserButton, Gtk::InfoBar, Gtk::Statusbar, and Gtk::Combo.

## Friends And Related Function Documentation

Gtk::HBox* wrap | ( | GtkHBox * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/box.h